Get All Signatures
curl --request GET \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signatures \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signatures"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signatures": [
{
"id": "<string>",
"params": {
"message": "<string>",
"signer": {
"type": "external-wallet",
"address": "<string>",
"locator": "<string>"
}
},
"createdAt": 123,
"approvals": {
"pending": [
{
"signer": {
"type": "external-wallet",
"address": "<string>",
"locator": "<string>"
},
"message": "<string>"
}
],
"submitted": [
{
"signature": "<string>",
"submittedAt": 123,
"signer": {
"type": "external-wallet",
"address": "<string>",
"locator": "<string>"
},
"message": "<string>",
"metadata": {
"deviceInfo": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>"
}
}
],
"required": 123
},
"completedAt": 123,
"error": "<unknown>",
"outputSignature": "<string>"
}
]
}{
"error": true,
"message": "<error message>"
}REST
Get All Signatures
Retrieves all signatures associated with the specified wallet.
API scope required: wallets:signatures.read
GET
/
2025-06-09
/
wallets
/
{walletLocator}
/
signatures
Get All Signatures
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Response
The signatures have been successfully retrieved.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

